package com.heyu.api.data.service.impl.third;
/**
* <p>
* 第三方和用户信息绑定表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.third.ThirdUserBindDao;
import com.heyu.api.data.entity.third.ThirdUserBindEntity;
import com.heyu.api.data.service.third.ThirdUserBindService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class ThirdUserBindServiceImpl extends ServiceImpl<ThirdUserBindDao, ThirdUserBindEntity> implements ThirdUserBindService {


    @Autowired
	private ThirdUserBindDao thirdUserBindDao;



	@Override
	public ThirdUserBindEntity selectThirdUserBindById(Long id){
		return thirdUserBindDao.selectThirdUserBindById(id);
	}



	@Override
	public Long insertThirdUserBind(ThirdUserBindEntity thirdUserBind){
		return thirdUserBindDao.insertThirdUserBind(thirdUserBind);
	}



	@Override
	public Long insertOrUpdateThirdUserBind(ThirdUserBindEntity thirdUserBind){
		return thirdUserBindDao.insertOrUpdateThirdUserBind(thirdUserBind);
	}



	@Override
	public int updateThirdUserBindById(ThirdUserBindEntity thirdUserBind){
		return thirdUserBindDao.updateThirdUserBindById(thirdUserBind);
	}



	@Override
	public int updateCoverThirdUserBindById(ThirdUserBindEntity thirdUserBind){
		return thirdUserBindDao.updateCoverThirdUserBindById(thirdUserBind);
	}



	@Override
	public int deleteThirdUserBindById(Long id){
		return thirdUserBindDao.deleteThirdUserBindById(id);
	}



}
